Subject: ndisc_get_neigh() in Kernel Module

From: Matthew Jakeman <[email-masked]>
Date: Fri, 12 Jun 2009 17:44:46 +0100

Hi all,

Apologies if this is the wrong list and could someone please point me in 
the direction of a correct one if so.

I am writing a module (for kernel version 2.6.28) and I need to perform 
an IPv6 neighbour lookup on an address as I have a packet before it has 
got to the network code and had the MAC header prepended in the skbuff.

After looking about in the kernel code I came across ndisc_get_neigh() 
which seemed to suit me perfectly but I can't use it because nd_tbl is 
not exported by the kernel.

Are there any other ways for me to do the same thing that 
ndisc_get_neigh() does? I guess this is unlikely without having access 
to nd_tbl but if anyone could point me in the direction of another way 
to perform this operation it would be much appreciated.

Cheers
Matt